import {illegalArgument}from'@vscode-alt/monaco-editor/esm/vs/base/common/errors.js';import {relative}from'../../utils/paths-util.js';class Disposable {
  static from(...inDisposables) {
    let disposables = inDisposables;
    return new Disposable(function () {
      if (disposables) {
        for (const disposable of disposables) {
          if (disposable && typeof disposable.dispose === 'function') {
            disposable.dispose();
          }
        }
        disposables = undefined;
      }
    });
  }
  _callOnDispose;
  constructor(callOnDispose) {
    this._callOnDispose = callOnDispose;
  }
  dispose() {
    if (typeof this._callOnDispose === 'function') {
      this._callOnDispose();
      this._callOnDispose = undefined;
    }
  }
}
var ConfigurationTarget;
(function (ConfigurationTarget) {
  ConfigurationTarget[ConfigurationTarget["Global"] = 1] = "Global";
  ConfigurationTarget[ConfigurationTarget["Organization"] = 2] = "Organization";
  ConfigurationTarget[ConfigurationTarget["OrganizationResource"] = 3] = "OrganizationResource";
})(ConfigurationTarget || (ConfigurationTarget = {}));
var LogLevel;
(function (LogLevel) {
  LogLevel[LogLevel["Trace"] = 1] = "Trace";
  LogLevel[LogLevel["Debug"] = 2] = "Debug";
  LogLevel[LogLevel["Info"] = 3] = "Info";
  LogLevel[LogLevel["Warning"] = 4] = "Warning";
  LogLevel[LogLevel["Error"] = 5] = "Error";
  LogLevel[LogLevel["Critical"] = 6] = "Critical";
  LogLevel[LogLevel["Off"] = 7] = "Off";
})(LogLevel || (LogLevel = {}));
class RelativePattern {
  base;
  baseFolder;
  pattern;
  constructor(base, pattern) {
    // if (typeof base !== 'string') {
    // 	if (!base || !URI.isUri(base.uri)) {
    // 		throw illegalArgument('base');
    // 	}
    // }
    if (typeof pattern !== 'string') {
      throw illegalArgument('pattern');
    }
    if (typeof base === 'string') {
      this.base = base;
    } else {
      this.baseFolder = base.uri;
      this.base = base.uri.fsPath;
    }
    this.pattern = pattern;
  }
  pathToRelative(from, to) {
    return relative(from, to);
  }
}export{ConfigurationTarget,Disposable,LogLevel,RelativePattern};//# sourceMappingURL=ext-host-types.js.map
