const isErrorLike = val => !!val && typeof val === 'object' && (!!val.stack || 'message' in val || 'code' in val) && !('__typename' in val);
/**
 * Ensures a value is a proper Error, copying all properties if needed
 */
const asError = err => {
  if (err instanceof Error) {
    return err;
  }
  if (typeof err === 'object' && err !== null) {
    return Object.assign(new Error(err.message), err);
  }
  return new Error(err);
};export{asError,isErrorLike};//# sourceMappingURL=errors.js.map
